## glite-lb-doc 1.3.4

=== Makefile ===
# Default values
top_srcdir=..
stagedir=.
globalprefix=glite
lbprefix=lb
package=glite-lb-doc
version=0.0.0
PREFIX=/opt/glite
prefix=

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

VPATH = ${top_srcdir}/src
# example source code is part of the org.glite.lb.client
EXAMPLE_SOURCE_DIR=${top_srcdir}/examples
KPATH = TEXINPUTS=".:$(EXAMPLE_SOURCE_DIR):$(VPATH)//:"
KPATHBIB = BIBINPUTS=".:$(VPATH)//:"

LATEX = $(KPATH) latex
PDFLATEX = $(KPATH) pdflatex
BIBTEX = $(KPATHBIB) bibtex
DVIPS = $(KPATH) dvips
AT3=${stagedir}${prefix}/sbin/glite-lb-at3
INSTALL=install

default all: generate doc

generate: events.tex status.tex ver.tex

doc: LBUG.pdf LBAG.pdf LBDG.pdf LBTP.pdf LBTG.pdf

# %.dvi: %.tex
# 	$(LATEX) $<
# 	$(BIBTEX) `basename $< .tex`
# 	$(LATEX) $<
# 	$(LATEX) $<
#
# %.ps: %.dvi
# 	$(DVIPS) -ta4 -o $@ $<

%.pdf: %.tex
	$(PDFLATEX) $<
	$(BIBTEX) `basename $< .tex`
	$(PDFLATEX) $<
	$(PDFLATEX) $<

%.tex: %.tex.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

ver.tex:
	printf "\134def\134version{${version}}\n" > ver.tex

stage: doc
	$(MAKE) install PREFIX=${stagedir}

check:
	@echo "No test"

install:
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples
	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
	${INSTALL} -m 644 ${top_srcdir}/src/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 644 LBUG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 644 LBAG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 644 LBDG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 644 LBTG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 644 LBTP.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
# install DG example sources
	for p in ${top_srcdir}/examples/*; do \
		if [ "$$p" = "${top_srcdir}/examples/CVS" ]; then continue; fi; \
		${INSTALL} -m 644 "$$p" "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples"; \
	done

clean:
	rm -rvf LBUG* LBAG* LBDG* LBTP* events.tex status.tex ver.tex comment*

distclean:
	rm -rvf Makefile.inc *.spec debian/


# dependencies:

COMMON:=copyright.tex \
	definitions.tex \
	emi.cls \
	frontmatter.tex \
	lbjp.bib \
	versions.tex \
	faq.tex \
	ver.tex

LBUG.pdf: ${COMMON} \
	LBUG.tex \
	LBUG-Abstract.tex \
	LBUG-Introduction.tex components.tex \
	LBUG-Tools.tex logevent.tex https_configuration.tex notify.tex log_usertag.tex change_acl.tex \
	LBUG-Troubleshooting.tex \
	LBUG-Appendix.tex events.tex status.tex faq.tex

LBAG.pdf: ${COMMON} \
	LBAG.tex \
	LBAG-Abstract.tex \
	LBAG-Introduction.tex components.tex \
	https_configuration.tex \
	LBAG-Installation.tex \
	LBAG-Running.tex \
	LBAG-Troubleshooting.tex faq.tex

LBDG.pdf: ${COMMON} \
	LBDG.tex \
	LBDG-Abstract.tex \
	LBDG-Introduction.tex \
	producer_api.tex \
	consumer_api.tex \
	notification_api.tex \
	web_services.tex

LBTP.pdf: ${COMMON} \
	LBTP.tex \
	LBTP-Abstract.tex \
	LBTP-Introduction.tex \
	LBTP-IntegrationTests.tex \
	LBTP-Tests.tex \
	LBTP-PerfTests.tex \
	LBTP-InterTests.tex \
	LBTP-Nagios.tex

LBTG.pdf: ${COMMON} \
	LBTG.tex \
	LBTG-Abstract.tex \
	LBAG-Troubleshooting.tex

.PHONY: default all generate doc stage check install clean distclean doc

=== examples/Makefile ===
glite_location:=${GLITE_LOCATION}
glite_prefix:=${glite_location}

host_cpu:=${shell uname -m}
ifeq (${host_cpu},x86_64)
	LDFLAGS:=-L${glite_prefix}/lib64 -L${glite_prefix}/lib
	nothrflavour=gcc64dbg
	thrflavour=gcc64dbgpthr
else
	LDFLAGS:=-L${glite_prefix}/lib
	nothrflavour=gcc32dbg
	thrflavour=gcc32dbgpthr
endif

CC:=gcc
CXX:=g++

COMMON_LIB:=-lglite_lb_common_${nothrflavour}
COMMON_LIB_THR:=-lglite_lb_common_${thrflavour}
CLIENT_LIB:=-lglite_lb_client_${nothrflavour}
CLIENT_LIB_THR:=-lglite_lb_client_${thrflavour}
JOBID_LIB:=-lglite_jobid

LIB:=${COMMON_LIB} ${CLIENT_LIB} ${JOBID_LIB}
LIB_THR:=${COMMON_LIB_THR} ${CLIENT_LIB_THR} ${JOBID_LIB}
PLUSLIB:=
PLUSLIB_THR:=

CFLAGS:=${DEBUG} \
	-I${glite_prefix}/include \
	-D_GNU_SOURCE 

CXXFLAGS:=${CFLAGS}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
CXXCOMPILE:=libtool --mode=compile ${CXX} ${CXXFLAGS}
LINK:=libtool --mode=link ${CC} ${LDFLAGS} 
LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
INSTALL:=libtool --mode=install install

EXAMPLES_SRC:=example1.c prod_example1.c cons_example1.c cons_example2.c cons_example3.c notif_example.c
EXAMPLES:=${EXAMPLES_SRC:.c=}

EXTRA_SRC:=util.c
EXTRA_OBJ:=${EXTRA_SRC:.c=.o}

# TODO: migrate them here from branch_RC31_3
# EXAMPLES_PLUS_SRC:=
# EXAMPLES_PLUS:=${EXAMPLES_PLUS_SRC:.cpp=}
# EXAMPLES_PLUS_THR_SRC:=
# EXAMPLES_PLUS_THR:=${EXAMPLES_PLUS_THR_SRC:.cpp=}

EXAMPLES_THR_SRC:=
EXAMPLES_THR:=${EXAMPLES_CL_THR_SRC:.c=}

default all: examples

examples: ${EXAMPLES} ${EXAMPLES_THR} ${EXAMPLES_PLUS} ${EXAMPLES_PLUS_THR}

${EXAMPLES}: %: %.o ${EXTRA_OBJ}
	${LINK} -o $@ $< ${EXTRA_OBJ} ${LIB}

${EXAMPLES_THR}: %: %.o
	${LINK} -o $@ $< ${LIB_THR}

${EXAMPLES_PLUS}: %: %.o
	${LINKXX} -o $@ $< ${PLUSLIB}

${EXAMPLES_PLUS_THR}: %: %.o
	${LINKXX} -o $@ $< ${PLUSLIB_THR}

# catches $TOOLS and logevent compilation
%.o: %.c 
	${CC} ${CFLAGS} -c $<

%.o: %.cpp
	${CXX} ${CXXFLAGS} -c $<

clean:
	rm -rvf ${EXAMPLES} ${EXAMPLES_CL} ${EXAMPLES_CL_THR} 
	rm -rvf *.o .libs/

=== debian/changelog ===
glite-lb-doc (1.3.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:45:54 +0200

=== debian/control ===
Source: glite-lb-doc
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Section: doc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: gLite Logging and Bookkeeping documentation
 glite-lb-doc is a package containing the complete LB documentation. This
 package contains the LB User's Guide (LBUG.pdf), LB Administrator's Guide
 (LBAG.pdf), LB Developer's Guide (LBDG.pdf) and LB Test Plan
 (LBTP.pdf).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.doc
	touch $@

build: build-indep

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc-1.3.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc
	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

## glite-lb-doc 1.3.5

=== debian/changelog ===
glite-lb-doc (1.3.5-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:27:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 7.0.50~), texlive-latex-extra
 Standards-Version: 3.9.1
 Section: doc
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc-1.3.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc-1.3.5 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-doc 1.4.1

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,18 @@
 PREFIX=/opt/glite
 prefix=
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
 VPATH = ${top_srcdir}/src
+SOURCES=\
+	examples/*.c examples/*.cpp examples/Makefile examples/README* examples/*.C \
+	src/lbjp.bib src/*.cls src/*.sty src/*.tex src/*.tex.T src/README* src/images/*.pdf \
+	GGUS19469-reply.txt LICENSE Makefile
 # example source code is part of the org.glite.lb.client
 EXAMPLE_SOURCE_DIR=${top_srcdir}/examples
 KPATH = TEXINPUTS=".:$(EXAMPLE_SOURCE_DIR):$(VPATH)//:"
@@ -26,9 +32,9 @@
 AT3=${stagedir}${prefix}/sbin/glite-lb-at3
 INSTALL=install
 
-default all: generate doc
+all: generate doc
 
-generate: events.tex status.tex ver.tex
+generate: events.tex status.tex ver.tex nameslists.tex
 
 doc: LBUG.pdf LBAG.pdf LBDG.pdf LBTP.pdf LBTG.pdf
 
@@ -78,7 +84,8 @@
 	done
 
 clean:
-	rm -rvf LBUG* LBAG* LBDG* LBTP* events.tex status.tex ver.tex comment*
+	rm -rvf LBUG* LBAG* LBDG* LBTP* LBTG* events.tex status.tex nameslists.tex ver.tex comment*
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -101,7 +108,7 @@
 	LBUG-Introduction.tex components.tex \
 	LBUG-Tools.tex logevent.tex https_configuration.tex notify.tex log_usertag.tex change_acl.tex \
 	LBUG-Troubleshooting.tex \
-	LBUG-Appendix.tex events.tex status.tex faq.tex
+	LBUG-Appendix.tex events.tex status.tex nameslists.tex faq.tex
 
 LBAG.pdf: ${COMMON} \
 	LBAG.tex \
@@ -136,4 +143,4 @@
 	LBTG-Abstract.tex \
 	LBAG-Troubleshooting.tex
 
-.PHONY: default all generate doc stage check install clean distclean doc
+.PHONY: default all generate doc stage check install clean distclean doc dist distcheck

=== debian/changelog ===
glite-lb-doc (1.4.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc-1.3.5 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc-1.4.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-doc 1.4.11

=== debian/changelog ===
glite-lb-doc (1.4.11-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_base=glite-lb-doc
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +29,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,15 +38,13 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc-1.4.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc
-	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-doc; \
-	 rm -fv ChangeLog LICENSE; \
-	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
+	mkdir -p debian/$(p_base)/usr/share/doc
+	mv debian/tmp/usr/share/doc/glite-lb-doc-1.4.11 debian/$(p_base)/usr/share/doc/$(p_base)
 
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman

## glite-lb-doc 1.4.14

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 SOURCES=\
 	examples/*.c examples/*.cpp examples/Makefile examples/README* examples/*.C \
 	src/lbjp.bib src/*.cls src/*.sty src/*.tex src/*.tex.T src/README* src/images/*.pdf \
-	GGUS19469-reply.txt LICENSE Makefile
+	GGUS19469-reply.txt Makefile
 # example source code is part of the org.glite.lb.client
 EXAMPLE_SOURCE_DIR=${top_srcdir}/examples
 KPATH = TEXINPUTS=".:$(EXAMPLE_SOURCE_DIR):$(VPATH)//:"
@@ -29,7 +29,7 @@
 PDFLATEX = $(KPATH) pdflatex
 BIBTEX = $(KPATHBIB) bibtex
 DVIPS = $(KPATH) dvips
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 INSTALL=install
 
 all: generate doc
@@ -69,8 +69,6 @@
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	( cd ${top_srcdir}/project && ${INSTALL} -m 644 ChangeLog package.description package.summary ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} )
 	${INSTALL} -m 644 ${top_srcdir}/src/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 644 LBUG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 644 LBAG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
@@ -88,7 +86,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 
 # dependencies:

=== debian/changelog ===
glite-lb-doc (1.4.14-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), texlive-latex-extra
+Build-Depends: debhelper (>= 7.0.50~), texlive-latex-extra, texlive-latex-recommended, texlive-fonts-recommended, glite-lb-types
 Standards-Version: 3.9.1
 Section: doc
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	mkdir -p debian/$(p_base)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-doc-1.4.11 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/glite-lb-doc-1.4.14 debian/$(p_base)/usr/share/doc/$(p_base)
 
 binary-indep: install
 	dh_testdir

## glite-lb-doc 1.4.15

=== debian/changelog ===
glite-lb-doc (1.4.15-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.doc
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --project=emi --module lb.doc
 	touch $@
 
 build: build-indep
@@ -39,7 +39,7 @@
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	mkdir -p debian/$(p_base)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-doc-1.4.14 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)
 
 binary-indep: install
 	dh_testdir

## glite-lb-doc 1.4.17

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 VPATH = ${top_srcdir}/src
 SOURCES=\
@@ -68,17 +69,17 @@
 	@echo "No test"
 
 install:
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples
-	${INSTALL} -m 644 ${top_srcdir}/src/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	${INSTALL} -m 644 LBUG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	${INSTALL} -m 644 LBAG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	${INSTALL} -m 644 LBDG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	${INSTALL} -m 644 LBTG.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	${INSTALL} -m 644 LBTP.pdf ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+	-mkdir -p ${DESTDIR}${PREFIX}${docdir}/examples
+	${INSTALL} -m 644 ${top_srcdir}/src/README ${DESTDIR}${PREFIX}${docdir}
+	${INSTALL} -m 644 LBUG.pdf ${DESTDIR}${PREFIX}${docdir}
+	${INSTALL} -m 644 LBAG.pdf ${DESTDIR}${PREFIX}${docdir}
+	${INSTALL} -m 644 LBDG.pdf ${DESTDIR}${PREFIX}${docdir}
+	${INSTALL} -m 644 LBTG.pdf ${DESTDIR}${PREFIX}${docdir}
+	${INSTALL} -m 644 LBTP.pdf ${DESTDIR}${PREFIX}${docdir}
 # install DG example sources
 	for p in ${top_srcdir}/examples/*; do \
 		if [ "$$p" = "${top_srcdir}/examples/CVS" ]; then continue; fi; \
-		${INSTALL} -m 644 "$$p" "${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}/examples"; \
+		${INSTALL} -m 644 "$$p" "${DESTDIR}${PREFIX}${docdir}/examples"; \
 	done
 
 clean:

=== debian/changelog ===
glite-lb-doc (1.4.17-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,8 @@
 Standards-Version: 3.9.1
 Section: doc
 Homepage: http://glite.cern.ch
-DM-Upload-Allowed: yes
-Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
-Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi
 
 Package: glite-lb-doc
-Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Description: gLite Logging and Bookkeeping documentation

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_base=glite-lb-doc

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# parallel build not supported (problems with pdflatex)
%:
	dh $@ --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.doc/glite-lb-doc-(.*)\.tar\.gz
